List Checkout Payments

View as Markdown

This method allows you to list checkout payment requests for a profile.

Notes:

  • Use this endpoint to retrieve a paginated history of your checkout payments.
  • You can filter the results by date range and payment status.

Method: GET

Path: https://api.blockbee.io/checkout/list/


Parameters

Query Parameters

apikeystringRequired

API Key provided by BlockBee's Dashboard.

Unsure how to get yours? Check this tutorial.

Note: The API key can also be sent as a header named apikey.

fromstring

Start date for filtering payments as a Unix timestamp.

Example:1672531200

tostring

End date for filtering payments as a Unix timestamp.

Example:1704067199

statusstring

Filter payments by their current status.

Accepted values:

  • waiting
  • paid
  • pending
  • partial
  • expired
Example:paid

pageinteger

The page number you want to retrieve.

Default: 1

Example:1

per_pageinteger

Number of records per page.

Default: 25 Maximum: 100

Example:25

Returns

Returns a list of checkout payment requests matching the provided filters.

statusstring

Status of the request. Should be success if the request didn't fail.

num_pagesinteger

The total number of pages available.

paymentsobject[]

A list of checkout payment objects matching the filters.

sourcestring

Source of the payment.

tokenstring

The payment token identifier.

valuestring

The requested payment amount.

The requested payment amount in fiat.

coinstring

The cryptocurrency used or requested.

The total amount paid in cryptocurrency.

The total amount paid in fiat.

Details about the specific transaction.

is_paidboolean

Indicates if the payment is fully paid.

is_pendingboolean

Indicates if the payment is pending on the blockchain.

is_partialboolean

Indicates if the payment is partially paid.

is_expiredboolean

Indicates if the payment request has expired.

timestampstring

The creation time of the payment request.